# Class OctalUnescaper

java.lang.Object
org.apache.commons.text.translate.CharSequenceTranslator
org.apache.commons.text.translate.OctalUnescaper

public class OctalUnescaper extends CharSequenceTranslator
Translate escaped octal Strings back to their octal values. For example, "\45" should go back to being the specific value (a %). Note that this currently only supports the viable range of octal for Java; namely 1 to 377. This is because parsing Java is the main use case.

Since:
  1.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OctalUnescaper()`
  Creates a new instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `translate(CharSequence input, int index, Writer writer)`
  Translate a set of code points, represented by an int index into a CharSequence, into another set of code points.

  ### Methods inherited from class CharSequenceTranslator

  `hex, translate, translate, with`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### OctalUnescaper

    public OctalUnescaper()
    Creates a new instance.

- ## Method Details

  - ### translate

    public int translate(CharSequence input, int index, Writer writer) throws IOException
    Translate a set of code points, represented by an int index into a CharSequence, into another set of code points. The number of code points consumed must be returned, and the only IOExceptions thrown must be from interacting with the Writer so that the top level API may reliably ignore StringWriter IOExceptions.
    Specified by:
      `translate` in class `CharSequenceTranslator`
    Parameters:
      `input` - CharSequence that is being translated.
      `index` - int representing the current point of translation.
      `writer` - Writer to translate the text to.
    Returns:
      int count of code points consumed.
    Throws:
      `IOException` - if and only if the Writer produces an IOException.